Bug 1774360 - libfm-qt need to be rebuilt for qt5-qtbase-5.12.5
Summary: libfm-qt need to be rebuilt for qt5-qtbase-5.12.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libfm-qt
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: LXQt SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-20 06:32 UTC by Zamir SUN
Modified: 2020-01-04 22:15 UTC (History)
5 users (show)

Fixed In Version: libfm-qt-0.14.1-4.fc30_2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-04 22:15:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Zamir SUN 2019-11-20 06:32:03 UTC
Description of problem:
libfm-qt need to be rebuilt for qt5-qtbase-5.12.5

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
$ sudo dnf update --allowerasing --best
Last metadata expiration check: 0:05:16 ago on Wed 20 Nov 2019 02:24:36 PM HKT.
Error: 
 Problem: cannot install the best update candidate for package qt5-qtbase-5.12.4-4.fc30.x86_64
  - cannot install both qt5-qtbase-5.12.5-1.fc30.x86_64 and qt5-qtbase-5.12.4-4.fc30.x86_64
  - problem with installed package libfm-qt-0.14.1-3.fc30.x86_64
  - cannot install the best update candidate for package libfm-qt-0.14.1-3.fc30.x86_64
  - package libfm-qt-0.14.1-3.fc30.x86_64 requires qt5-qtbase(x86-64) = 5.12.4, but none of the providers can be installed
  - package libfm-qt-0.14.1-6.fc30.x86_64 requires qt5-qtbase(x86-64) = 5.12.4, but none of the providers can be installed
(try to add '--skip-broken' to skip uninstallable packages)


Actual results:


Expected results:


Additional info:
I don't have time to deal with this until at least next week. Feel free to pick this up if anyone else have time. Otherwise I'll take a look when I am available again.

Comment 1 Raphael Groner 2019-11-20 06:42:07 UTC
A common task for maintainers of Qt5. We've clear guidelines to check dependencies and rebuild if needed.

Comment 2 Fedora Update System 2019-12-18 09:58:32 UTC
FEDORA-2019-34e73ef1ec has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-34e73ef1ec

Comment 3 Fedora Update System 2019-12-19 01:00:58 UTC
libfm-qt-0.14.1-4.fc30_2 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-34e73ef1ec

Comment 4 Fedora Update System 2020-01-04 22:15:07 UTC
libfm-qt-0.14.1-4.fc30_2 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.